using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Globalization;

namespace Sample
{
    using Fermion.Windows.Forms;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //-- ComboBox --//
            CultureInfo ci = CultureInfo.CreateSpecificCulture("ja-JP");
            JapaneseCalendar jc = new JapaneseCalendar();
            ci.DateTimeFormat.Calendar = jc;
            foreach (int era in jc.Eras)
            {
                comboBox1.Items.Add(ci.DateTimeFormat.GetEraName(era));
            } //<-- foreach
            comboBox1.SelectedItem = "";
            //-- DValEdit --//
            dValEdit1.Value.SetDateTimeValue(DateTime.Today);
            dValEdit2.Value.SetDateTimeValue(DateTime.Today, true);
            dValEdit2.Value.Era = "";
            //-- Label --//
            //this.SetLabelText();
            //-- FontComboBox --//
            string defFont = "lr oSVbN";
            fontComboBox1.SelectedIndex = fontComboBox1.Items.IndexOf(defFont);
            //-- ExcelColorComboBox --//
            excelColorComboBox1.SelectKnownColor(ExcelKnownColors.Light_green);
        }

        private void gradButton1_Click(object sender, EventArgs e)
        {
            Fermion.Windows.Forms.MessageBox msg = new Fermion.Windows.Forms.MessageBox();
            //-- {^eLXgύX --//
            msg.ButtonCaptions[(int)DialogResult.Yes] = "͂ImFł܂I";
            msg.ButtonCaptions[(int)DialogResult.No] = "₾";
            msg.ButtonCaptions[(int)DialogResult.Cancel] = "芸LZ";
            //-- ACRύX --//
            msg.SpecialIcon.FileName = "shell32.dll";
            msg.SpecialIcon.IconIndex = 40;
            msg.SpecialIcon.Show = true;
            //-- ̃tH[̒ɕ\ --//
            msg.OwnerForm = this;
            msg.OwnerFormCenter = true;
            //-- MessageBox \ --//
            DialogResult dlgRes = msg.Show(
                  dValEdit1.Value.StrDate
                , "tmFĉ"
                , MessageBoxButtons.YesNoCancel
                , MessageBoxIcon.Question
            );
            gradButton1.Text = dlgRes.ToString();
        }

        /// <summary>
        /// ύXɁALabel XVB
        /// </summary>
        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            dValEdit2.Value.Era = (string)comboBox1.SelectedItem;
            this.SetLabelText();
        }

        /// <summary>
        /// NύXꂽƂ Label XVB
        /// </summary>
        private void dValEdit2_DateChanged(object sender, Fermion.Windows.Forms.DateChangedEventArgs e)
        {
            this.SetLabelText();
        }

        /// <summary>
        /// a͒l𐼗ɕϊALabel ɕ\B
        /// </summary>
        private void SetLabelText()
        {
            try
            {
                label1.Text = dValEdit2.Value.GetDateTimeValue().ToLongDateString();
            }
            catch (Exception)
            {
                label1.Text = "";
            } //<-- try..catch..
        }

    }
}